# ReflectionClass::getTraitAliases

(PHP 5 >= 5.4.0, PHP 7)

ReflectionClass::getTraitAliases — Returns an array of trait aliases

### Description

public ReflectionClass::getTraitAliases ( void ) : array

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns an array with new method names in keys and original names (in the format "TraitName::original") in values. Returns `NULL` in case of an error.